import { BrowserRouter as Router, Route, Routes } from 'react-router-dom';
import { store } from '@graphpolaris/shared/data-access/store';
import { StrictMode } from 'react';
import * as ReactDOM from 'react-dom';
import { Provider } from 'react-redux';

import App from './app/app';
import LoginPopupComponent from './web/components/login/popup';

ReactDOM.render(
  <StrictMode>
    <Provider store={store}>
      <Router>
        <Routes>
          {/* Route to auth component in popup */}
          <Route path="/auth" element={<LoginPopupComponent />}></Route>
          {/* App */}
          <Route path="/" element={<App />}></Route>
        </Routes>
      </Router>
    </Provider>
  </StrictMode>,
  document.getElementById('root')
);
