import React from 'react';
import Panel from './panel';
import { ComponentStory, ComponentMeta } from '@storybook/react';

export default {
  /* 👇 The title prop is optional.
   * See https://storybook.js.org/docs/react/configure/overview#configure-story-loading
   * to learn how to generate automatic titles
   */
  title: 'Panel',
  component: Panel,
  decorators: [(story) => <div style={{ padding: '3rem' }}>{story()}</div>],
} as ComponentMeta<typeof Panel>;

const Template: ComponentStory<typeof Panel> = (args) => <Panel {...args} />;

export const Primary = Template.bind({});

Primary.args = {
  content: 'Testing header #1',
  color: 'blue',
};

export const Secondary = Template.bind({});

Secondary.args = {
  content: 'Testing header number twoooo',
  color: 'purple',
  children: <h1>I AM A CHILD</h1>,
};
